# RakNet::SerializeParameters Struct Reference

Parameters passed to Replica3::Serialize(). More...

`#include <ReplicaManager3.h>`

List of all members.

## Public Attributes

RakNet::BitStream | outputBitstream
RakNet::BitStream * | lastSerializationSent
| What we sent, the last time we sent data over the network.
RakNetTime | messageTimestamp
PRO | pro
RakNet::Connection_RM3 * | destinationConnection
| Passed to RakPeerInterface::Send().
BitSize_t | bitsWrittenSoFar

## Detailed Description

Parameters passed to Replica3::Serialize().

## Member Data Documentation

BitSize_t RakNet::SerializeParameters::bitsWrittenSoFar

For prior serializations this tick, for the same connection, how many bits have we written so far? Use this to limit how many objects you send to update per-tick if desired

RakNetTime RakNet::SerializeParameters::messageTimestamp

Set to non-zero to transmit a timestamp with this message. Defaults to 0

RakNet::BitStream RakNet::SerializeParameters::outputBitstream

Write your output for serialization here If nothing is written, the serialization will not occur

PRO RakNet::SerializeParameters::pro

Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultPacketPriority(). Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultPacketReliability(). Passed to RakPeerInterface::Send(). Defaults to ReplicaManager3::SetDefaultOrderingChannel().

The documentation for this struct was generated from the following file:

- C:/RakNet/Source/ReplicaManager3.h